#!/bin/sh

[ -f data.shp ] || ogr2ogr data.shp data.json

for i in data.json data.shp; do
	echo $i
	ogrinfo -ro -so -al $i | grep "Feature Count"
	ogrinfo -ro -so -al -where "\"name\"='Andorra'" $i | grep "Feature Count"
	ogrinfo -ro -so -al -spat -180 -90 180 90 $i | grep "Feature Count"
	ogrinfo -ro -so -al -spat -180 -90 180 90 -where "\"name\"='Andorra'" $i | grep "Feature Count"
done
